perl (5.22.1-9ubuntu0.3) xenial-security; urgency=medium

  * SECURITY UPDATE: arbitrary code exec via library in cwd
    - debian/patches/fixes/CVE-2016-6185.patch: properly handle paths in
      dist/XSLoader/XSLoader_pm.PL, dist/XSLoader/t/XSLoader.t.
    - CVE-2016-6185
  * SECURITY UPDATE: race condition in rmtree and remove_tree
    - debian/patches/fixes/CVE-2017-6512-pre.patch: correct the order of
      tests of chmod() in cpan/ExtUtils-Command/t/eu_command.t.
    - debian/patches/fixes/CVE-2017-6512.patch: prevent race in
      cpan/File-Path/lib/File/Path.pm, cpan/File-Path/t/Path.t.
    - CVE-2017-6512
  * SECURITY UPDATE: heap write overflow bug
    - debian/patches/fixes/CVE-2018-6797.patch: restart a node if we change
      to uni rules within the node and encounter a sharp S in regcomp.c.
    - CVE-2018-6797
  * SECURITY UPDATE: heap read overflow bug
    - debian/patches/fixes/CVE-2018-6798-1.patch: check lengths in
      regexec.c, t/lib/warnings/regexec.
    - debian/patches/fixes/CVE-2018-6798-2.patch: account for non-utf8
      target in regexec.c, t/re/re_tests.
    - debian/patches/fixes/CVE-2018-6798-3.patch: no longer warns in
      t/lib/warnings/regexec.
    - CVE-2018-6798
  * SECURITY UPDATE: heap buffer overflow bug
    - debian/patches/fixes/CVE-2018-6913.patch: fix various space
      calculation issues in pp_pack.c, t/op/pack.t.
    - CVE-2018-6913

Date: 2018-04-11 19:36:29.379108+00:00
Changed-By: Marc Deslauriers <marc.deslauri...@canonical.com>
https://launchpad.net/ubuntu/+source/perl/5.22.1-9ubuntu0.3
Sorry, changesfile not available.
-- 
Xenial-changes mailing list
Xenial-changes@lists.ubuntu.com
Modify settings or unsubscribe at: 
https://lists.ubuntu.com/mailman/listinfo/xenial-changes

Reply via email to